Are JDBC 9.2.0.x and JDBC 10.1.0.x Supported with Database 10.2.0.x? (Doc ID 423269.1)

Last updated on AUGUST 16, 2016

Applies to:

JDBC - Version 9.2.0 to 10.2.0
Information in this document applies to any platform.

Goal

According to the Interoperability Matrix JDBC 9.2.0.x and JDBC 10.1.0.x are supported with Database 10.2.0.x.

Interoperability Matrix Database 10.2.0.x Database 10.1.0.x Database 9.2.0.x Database pre_9.2.0.x
JDBC 10.2.0.x
Yes
Yes
Yes
(1)
JDBC 10.1.0.x
Yes
Yes
Yes
(1)
JDBC 9.2.0.x
Yes
Yes
Yes
(1)

JDBC pre_9.2.0.x

(1)
(1)
(1)
(1)


But according to the JDBC FAQ  JDBC 9.2.0.x and JDBC 10.1.0.x are not supported with Database 10.2.0.x.

Which JDBC drivers support which versions of Oracle Database?
    ... lines omitted ...
    o JDBC 9.2.0 drivers can talk to RDBMS 
            10.1.0
            9.2.0
            9.0.1
            8.1.7
    o JDBC 10.1.0 drivers can talk to RDBMS
            10.1.0
            9.2.0
            9.0.1
            8.1.7


Which is correct?

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms